native2ascii(1)

NAME
native2ascii - native to ASCII converter

SYNOPSIS
native2ascii [ -encoding encoding_name] [ -reverse ]
[ inputfile [outputfile]]

DESCRIPTION
The javac(1) compiler and other Java™ tools can only process files that contain Latin-1 or Unicode-encoded (\udddd notation) characters. The native2ascii command converts files that contain other character encoding into files containing Latin-1 or Unicode-encoded charaters.

If outputfile is omitted, standard output is used for output. If inputfile is also omitted, standard input is used for input.

OPTIONS
The following options are supported:

-encoding encoding_name
    Specifies the encoding name that is used by the conversion procedure. The default encoding is taken from system property file.encoding. The encoding_name string must be one taken from the first column of the table of supported encodings in the Supported Encodings document: http://java.sun.com/j2se/1.3/docs/guide/intl/encoding.doc.html

-reverse
    Performs the reverse operation: converts a file with Latin-1 or Unicode-encoded characters to one with native-encoded characters.